Groovy Documentation

## org.codehaus.groovy.antlr
[Java] Class LineColumn

    java.lang.Object
      org.codehaus.groovy.antlr.LineColumn

    public class LineColumn
    extends java.lang.Object

An object representing a line and column position

Authors:
  Jeremy Rayner

Version:
  \$Revision\$

Constructor Summary
`LineColumn(int line, int column)`

Method Summary
`boolean` | `equals(java.lang.Object that)`
`int` | `getColumn()`
`int` | `getLine()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### LineColumn

    public LineColumn(int line, int column)

Method Detail

### equals

    public boolean equals(java.lang.Object that)

### getColumn

    public int getColumn()

### getLine

    public int getLine()

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Groovy Documentation